<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_get_unit_layer_id" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_getUnitLayerNo - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: unsigned short krui_getUnitLayerNo(int);
/*****************************************************************************
  FUNCTION : ann_get_unit_layer_id
  PURPOSE  :
  NOTES    : Function has no effect on the current unit.
             The range of the layer id is -32736...+32735
  RETURNS  : 
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_get_unit_layer_id</refname>

    <refpurpose>Returns the layer id of the unit.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>[layer_id] = ann_get_unit_layer_id(network, unit_id);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>unit_id</term>

        <listitem>
          <para>Id of the unit</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>

  <refsection>
    <title>Output parameters</title>

    <variablelist>
      <varlistentry>
        <term>layer_id</term>

        <listitem>
          <para>Layer id of the unit</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>
        Function has no effect on the current unit.
        The range of the layer id is -32736...+32735.
    </para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
